Skip to main content
`Ctrl`+`K`

# TSAdjointSetSteps

Sets the number of steps the adjoint solver should take backward in time

## Synopsis

    #include <petscts.h>
    PetscErrorCode TSAdjointSetSteps(TS ts, PetscInt steps)

Logically Collective

## Input Parameters

- ts - the `TS` context obtained from `TSCreate()`

- steps - number of steps to use

## Notes

Normally one does not call this and `TSAdjointSolve()` integrates back to the original timestep. One can call this so as to integrate back to less than the original timestep

## See Also

TS: Scalable ODE and DAE Solvers, `TSAdjointSolve()`, `TS`, `TSSetExactFinalTime()`

## Level

intermediate

## Location

src/ts/interface/sensitivity/tssen.c

## Examples

src/ts/tutorials/ex20td.c

Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages